<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>huimv-farm-datacenter</artifactId>
        <groupId>com.huimv</groupId>
        <version>0.0.1-SNAPSHOT</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>huimv-farm-admin</artifactId>

    <dependencies>
        <dependency>
            <groupId>com.huimv</groupId>
            <artifactId>huimv-common</artifactId>
            <version>0.0.1</version>
        </dependency>

        <dependency>
            <groupId>cn.dustlight.captcha</groupId>
            <artifactId>redis-store</artifactId>
            <version>0.0.6</version>
        </dependency>
        <dependency>
            <groupId>cn.dustlight.captcha</groupId>
            <artifactId>captcha-core</artifactId>
            <version>0.0.6</version>
        </dependency>
        <dependency>
            <groupId>com.auth0</groupId>
            <artifactId>java-jwt</artifactId>
            <version>3.3.0</version>
        </dependency>
        <dependency>
            <groupId>io.jsonwebtoken</groupId>
            <artifactId>jjwt</artifactId>
            <version>0.9.1</version>
        </dependency>
        <!--CloseableHttpClient-->
        <!-- JPA -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-jpa</artifactId>
        </dependency>
        <dependency>
            <groupId>javax.xml.bind</groupId>
            <artifactId>jaxb-api</artifactId>
            <version>2.3.0</version>
        </dependency>
<!--        <dependency>-->
<!--            <groupId>com.huimv</groupId>-->
<!--            <artifactId>huimv-common</artifactId>-->
<!--            <version>0.0.1</version>-->
<!--        </dependency>-->
        <!-- huimv.com -->
        <dependency>
            <groupId>com.huimv</groupId>
            <artifactId>huimv-common</artifactId>
            <version>0.0.6-SNAPSHOT</version>
        </dependency>

    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
            </plugin>

            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-resources-plugin</artifactId>
                <version>2.6</version>
            </plugin>
        </plugins>
<!--        <resources>-->
<!--            <resource>-->
<!--                <directory>src/main/java</directory>-->
<!--                <includes>-->
<!--                    <include>**/*.xml</include>-->
<!--                </includes>-->
<!--                <filtering>false</filtering>-->
<!--            </resource>-->
<!--        </resources>-->
    </build>
</project>